Index: trunk/NEMOGCM/CONFIG/AMM12/EXP00/namelist
===================================================================
--- trunk/NEMOGCM/CONFIG/AMM12/EXP00/namelist	(revision 7)
+++ trunk/NEMOGCM/CONFIG/AMM12/EXP00/namelist	(revision 8)
@@ -324,4 +324,5 @@
 !!   nambdy        Unstructured open boundaries                         ("key_bdy")
 !!   namtide       Tidal forcing at open boundaries                     ("key_bdy_tides")
+!!   namobc_dta    open boundaries input
 !!======================================================================
 !
@@ -358,4 +359,22 @@
    rn_volemp   =    1.     !  = 0 the total volume change with the surface flux (E-P-R)
                            !  = 1 the total volume remains constant
+/
+!-----------------------------------------------------------------------
+&namobc_dta        !   open boundaries input                           ('key_obc')
+!-----------------------------------------------------------------------
+!              !     file name   ! frequency (hours) ! variable   ! time interpol. !  clim   ! 'yearly' or ! weights  ! rotation !
+!              !                 !  (if <0  months)  !   name     !    (logical)   !  (T/F)  !  'monthly'  ! filename ! pairing  !
+   sn_obce(1) =  'obc_east_U', 72   ,   'vozocrtx'   ,   .TRUE.   , .FALSE. ,   'yearly'  , ''       , ''
+   sn_obce(2) =  'obc_east_V', 72   ,   'vomecrty'   ,   .TRUE.   , .FALSE. ,   'yearly'  , ''       , ''
+   sn_obce(3) =  'obc_east_TS', 72   ,   'votemper'   ,   .TRUE.   , .FALSE. ,   'yearly'  , ''       , ''
+   sn_obce(4) =  'obc_east_TS', 72   ,   'vosaline'   ,   .TRUE.   , .FALSE. ,   'yearly'  , ''       , ''
+   sn_obcw(1) =  'obc_west_U', 72   ,   'vozocrtx'   ,   .TRUE.   , .FALSE. ,   'yearly'  , ''       , ''
+   sn_obcw(2) =  'obc_west_V', 72   ,   'vomecrty'   ,   .TRUE.   , .FALSE. ,   'yearly'  , ''       , ''
+   sn_obcw(3) =  'obc_west_TS', 72   ,   'votemper'   ,   .TRUE.   , .FALSE. ,   'yearly'  , ''       , ''
+   sn_obcw(4) =  'obc_west_TS', 72   ,   'vosaline'   ,   .TRUE.   , .FALSE. ,   'yearly'  , ''       , ''
+   sn_obcs(1) =  'obc_south_U', 72  ,   'vozocrtx'   ,   .TRUE.   , .FALSE. ,   'yearly'  , ''       , ''
+   sn_obcs(2) =  'obc_south_V', 72  ,   'vomecrty'   ,   .TRUE.   , .FALSE. ,   'yearly'  , ''       , ''
+   sn_obcs(3) =  'obc_south_TS', 72  ,   'votemper'   ,   .TRUE.   , .FALSE. ,   'yearly'  , ''       , ''
+   sn_obcs(4) =  'obc_south_TS', 72  ,   'vosaline'   ,   .TRUE.   , .FALSE. ,   'yearly'  , ''       , ''
 /
 !-----------------------------------------------------------------------
Index: trunk/NEMOGCM/CONFIG/AMM12_PISCES/EXP00/namelist
===================================================================
--- trunk/NEMOGCM/CONFIG/AMM12_PISCES/EXP00/namelist	(revision 7)
+++ trunk/NEMOGCM/CONFIG/AMM12_PISCES/EXP00/namelist	(revision 8)
@@ -324,4 +324,5 @@
 !!   nambdy        Unstructured open boundaries                         ("key_bdy")
 !!   namtide       Tidal forcing at open boundaries                     ("key_bdy_tides")
+!!   namobc_dta    open boundaries input
 !!======================================================================
 !
@@ -358,4 +359,22 @@
    rn_volemp   =    1.     !  = 0 the total volume change with the surface flux (E-P-R)
                            !  = 1 the total volume remains constant
+/
+!-----------------------------------------------------------------------
+&namobc_dta        !   open boundaries input                           ('key_obc')
+!-----------------------------------------------------------------------
+!              !     file name   ! frequency (hours) ! variable   ! time interpol. !  clim   ! 'yearly' or ! weights  ! rotation !
+!              !                 !  (if <0  months)  !   name     !    (logical)   !  (T/F)  !  'monthly'  ! filename ! pairing  !
+   sn_obce(1) =  'obc_east_U', 72   ,   'vozocrtx'   ,   .TRUE.   , .FALSE. ,   'yearly'  , ''       , ''
+   sn_obce(2) =  'obc_east_V', 72   ,   'vomecrty'   ,   .TRUE.   , .FALSE. ,   'yearly'  , ''       , ''
+   sn_obce(3) =  'obc_east_TS', 72   ,   'votemper'   ,   .TRUE.   , .FALSE. ,   'yearly'  , ''       , ''
+   sn_obce(4) =  'obc_east_TS', 72   ,   'vosaline'   ,   .TRUE.   , .FALSE. ,   'yearly'  , ''       , ''
+   sn_obcw(1) =  'obc_west_U', 72   ,   'vozocrtx'   ,   .TRUE.   , .FALSE. ,   'yearly'  , ''       , ''
+   sn_obcw(2) =  'obc_west_V', 72   ,   'vomecrty'   ,   .TRUE.   , .FALSE. ,   'yearly'  , ''       , ''
+   sn_obcw(3) =  'obc_west_TS', 72   ,   'votemper'   ,   .TRUE.   , .FALSE. ,   'yearly'  , ''       , ''
+   sn_obcw(4) =  'obc_west_TS', 72   ,   'vosaline'   ,   .TRUE.   , .FALSE. ,   'yearly'  , ''       , ''
+   sn_obcs(1) =  'obc_south_U', 72  ,   'vozocrtx'   ,   .TRUE.   , .FALSE. ,   'yearly'  , ''       , ''
+   sn_obcs(2) =  'obc_south_V', 72  ,   'vomecrty'   ,   .TRUE.   , .FALSE. ,   'yearly'  , ''       , ''
+   sn_obcs(3) =  'obc_south_TS', 72  ,   'votemper'   ,   .TRUE.   , .FALSE. ,   'yearly'  , ''       , ''
+   sn_obcs(4) =  'obc_south_TS', 72  ,   'vosaline'   ,   .TRUE.   , .FALSE. ,   'yearly'  , ''       , ''
 /
 !-----------------------------------------------------------------------
Index: trunk/NEMOGCM/CONFIG/GYRE/EXP00/namelist
===================================================================
--- trunk/NEMOGCM/CONFIG/GYRE/EXP00/namelist	(revision 7)
+++ trunk/NEMOGCM/CONFIG/GYRE/EXP00/namelist	(revision 8)
@@ -325,4 +325,5 @@
 !!   nambdy        Unstructured open boundaries                         ("key_bdy")
 !!   namtide       Tidal forcing at open boundaries                     ("key_bdy_tides")
+!!   namobc_dta    open boundaries input
 !!======================================================================
 !
@@ -359,4 +360,22 @@
    rn_volemp   =    1.     !  = 0 the total volume change with the surface flux (E-P-R)
                            !  = 1 the total volume remains constant
+/
+!-----------------------------------------------------------------------
+&namobc_dta        !   open boundaries input                           ('key_obc')
+!-----------------------------------------------------------------------
+!              !     file name   ! frequency (hours) ! variable   ! time interpol. !  clim   ! 'yearly' or ! weights  ! rotation !
+!              !                 !  (if <0  months)  !   name     !    (logical)   !  (T/F)  !  'monthly'  ! filename ! pairing  !
+   sn_obce(1) =  'obc_east_U', 72   ,   'vozocrtx'   ,   .TRUE.   , .FALSE. ,   'yearly'  , ''       , ''
+   sn_obce(2) =  'obc_east_V', 72   ,   'vomecrty'   ,   .TRUE.   , .FALSE. ,   'yearly'  , ''       , ''
+   sn_obce(3) =  'obc_east_TS', 72   ,   'votemper'   ,   .TRUE.   , .FALSE. ,   'yearly'  , ''       , ''
+   sn_obce(4) =  'obc_east_TS', 72   ,   'vosaline'   ,   .TRUE.   , .FALSE. ,   'yearly'  , ''       , ''
+   sn_obcw(1) =  'obc_west_U', 72   ,   'vozocrtx'   ,   .TRUE.   , .FALSE. ,   'yearly'  , ''       , ''
+   sn_obcw(2) =  'obc_west_V', 72   ,   'vomecrty'   ,   .TRUE.   , .FALSE. ,   'yearly'  , ''       , ''
+   sn_obcw(3) =  'obc_west_TS', 72   ,   'votemper'   ,   .TRUE.   , .FALSE. ,   'yearly'  , ''       , ''
+   sn_obcw(4) =  'obc_west_TS', 72   ,   'vosaline'   ,   .TRUE.   , .FALSE. ,   'yearly'  , ''       , ''
+   sn_obcs(1) =  'obc_south_U', 72  ,   'vozocrtx'   ,   .TRUE.   , .FALSE. ,   'yearly'  , ''       , ''
+   sn_obcs(2) =  'obc_south_V', 72  ,   'vomecrty'   ,   .TRUE.   , .FALSE. ,   'yearly'  , ''       , ''
+   sn_obcs(3) =  'obc_south_TS', 72  ,   'votemper'   ,   .TRUE.   , .FALSE. ,   'yearly'  , ''       , ''
+   sn_obcs(4) =  'obc_south_TS', 72  ,   'vosaline'   ,   .TRUE.   , .FALSE. ,   'yearly'  , ''       , ''
 /
 !-----------------------------------------------------------------------
Index: trunk/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/namelist
===================================================================
--- trunk/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/namelist	(revision 7)
+++ trunk/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/namelist	(revision 8)
@@ -325,4 +325,5 @@
 !!   nambdy        Unstructured open boundaries                         ("key_bdy")
 !!   namtide       Tidal forcing at open boundaries                     ("key_bdy_tides")
+!!   namobc_dta    open boundaries input
 !!======================================================================
 !
@@ -359,4 +360,22 @@
    rn_volemp   =    1.     !  = 0 the total volume change with the surface flux (E-P-R)
                            !  = 1 the total volume remains constant
+/
+!-----------------------------------------------------------------------
+&namobc_dta        !   open boundaries input                           ('key_obc')
+!-----------------------------------------------------------------------
+!              !     file name   ! frequency (hours) ! variable   ! time interpol. !  clim   ! 'yearly' or ! weights  ! rotation !
+!              !                 !  (if <0  months)  !   name     !    (logical)   !  (T/F)  !  'monthly'  ! filename ! pairing  !
+   sn_obce(1) =  'obc_east_U', 72   ,   'vozocrtx'   ,   .TRUE.   , .FALSE. ,   'yearly'  , ''       , ''
+   sn_obce(2) =  'obc_east_V', 72   ,   'vomecrty'   ,   .TRUE.   , .FALSE. ,   'yearly'  , ''       , ''
+   sn_obce(3) =  'obc_east_TS', 72   ,   'votemper'   ,   .TRUE.   , .FALSE. ,   'yearly'  , ''       , ''
+   sn_obce(4) =  'obc_east_TS', 72   ,   'vosaline'   ,   .TRUE.   , .FALSE. ,   'yearly'  , ''       , ''
+   sn_obcw(1) =  'obc_west_U', 72   ,   'vozocrtx'   ,   .TRUE.   , .FALSE. ,   'yearly'  , ''       , ''
+   sn_obcw(2) =  'obc_west_V', 72   ,   'vomecrty'   ,   .TRUE.   , .FALSE. ,   'yearly'  , ''       , ''
+   sn_obcw(3) =  'obc_west_TS', 72   ,   'votemper'   ,   .TRUE.   , .FALSE. ,   'yearly'  , ''       , ''
+   sn_obcw(4) =  'obc_west_TS', 72   ,   'vosaline'   ,   .TRUE.   , .FALSE. ,   'yearly'  , ''       , ''
+   sn_obcs(1) =  'obc_south_U', 72  ,   'vozocrtx'   ,   .TRUE.   , .FALSE. ,   'yearly'  , ''       , ''
+   sn_obcs(2) =  'obc_south_V', 72  ,   'vomecrty'   ,   .TRUE.   , .FALSE. ,   'yearly'  , ''       , ''
+   sn_obcs(3) =  'obc_south_TS', 72  ,   'votemper'   ,   .TRUE.   , .FALSE. ,   'yearly'  , ''       , ''
+   sn_obcs(4) =  'obc_south_TS', 72  ,   'vosaline'   ,   .TRUE.   , .FALSE. ,   'yearly'  , ''       , ''
 /
 !-----------------------------------------------------------------------
Index: trunk/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist
===================================================================
--- trunk/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist	(revision 7)
+++ trunk/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist	(revision 8)
@@ -324,4 +324,5 @@
 !!   nambdy        Unstructured open boundaries                         ("key_bdy")
 !!   namtide       Tidal forcing at open boundaries                     ("key_bdy_tides")
+!!   namobc_dta    open boundaries input
 !!======================================================================
 !
@@ -358,4 +359,22 @@
    rn_volemp   =    1.     !  = 0 the total volume change with the surface flux (E-P-R)
                            !  = 1 the total volume remains constant
+/
+!-----------------------------------------------------------------------
+&namobc_dta        !   open boundaries input                           ('key_obc')
+!-----------------------------------------------------------------------
+!              !     file name   ! frequency (hours) ! variable   ! time interpol. !  clim   ! 'yearly' or ! weights  ! rotation !
+!              !                 !  (if <0  months)  !   name     !    (logical)   !  (T/F)  !  'monthly'  ! filename ! pairing  !
+   sn_obce(1) =  'obc_east_U', 72   ,   'vozocrtx'   ,   .TRUE.   , .FALSE. ,   'yearly'  , ''       , ''
+   sn_obce(2) =  'obc_east_V', 72   ,   'vomecrty'   ,   .TRUE.   , .FALSE. ,   'yearly'  , ''       , ''
+   sn_obce(3) =  'obc_east_TS', 72   ,   'votemper'   ,   .TRUE.   , .FALSE. ,   'yearly'  , ''       , ''
+   sn_obce(4) =  'obc_east_TS', 72   ,   'vosaline'   ,   .TRUE.   , .FALSE. ,   'yearly'  , ''       , ''
+   sn_obcw(1) =  'obc_west_U', 72   ,   'vozocrtx'   ,   .TRUE.   , .FALSE. ,   'yearly'  , ''       , ''
+   sn_obcw(2) =  'obc_west_V', 72   ,   'vomecrty'   ,   .TRUE.   , .FALSE. ,   'yearly'  , ''       , ''
+   sn_obcw(3) =  'obc_west_TS', 72   ,   'votemper'   ,   .TRUE.   , .FALSE. ,   'yearly'  , ''       , ''
+   sn_obcw(4) =  'obc_west_TS', 72   ,   'vosaline'   ,   .TRUE.   , .FALSE. ,   'yearly'  , ''       , ''
+   sn_obcs(1) =  'obc_south_U', 72  ,   'vozocrtx'   ,   .TRUE.   , .FALSE. ,   'yearly'  , ''       , ''
+   sn_obcs(2) =  'obc_south_V', 72  ,   'vomecrty'   ,   .TRUE.   , .FALSE. ,   'yearly'  , ''       , ''
+   sn_obcs(3) =  'obc_south_TS', 72  ,   'votemper'   ,   .TRUE.   , .FALSE. ,   'yearly'  , ''       , ''
+   sn_obcs(4) =  'obc_south_TS', 72  ,   'vosaline'   ,   .TRUE.   , .FALSE. ,   'yearly'  , ''       , ''
 /
 !-----------------------------------------------------------------------