Index: vendor/nemo/current/DOC/TexFiles/Namelist/namrun
===================================================================
--- vendor/nemo/current/DOC/TexFiles/Namelist/namrun	(revision 4)
+++ vendor/nemo/current/DOC/TexFiles/Namelist/namrun	(revision 19)
@@ -2,14 +2,16 @@
 &namrun        !   parameters of the run
 !-----------------------------------------------------------------------
-   nn_no       =       0   !  job number
+   nn_no       =       0   !  job number (no more used...)
    cn_exp      =  "ORCA2"  !  experience name 
    nn_it000    =       1   !  first time step
    nn_itend    =    5475   !  last  time step (std 5475)
-   nn_date0    =  010101   !  initial calendar date yymmdd (used if nn_rstctl=1)
+   nn_date0    =  010101   !  date at nit_0000 (format yyyymmdd)
+                           !  used if ln_rstart=F or (ln_rstart=T and nn_rstctl=0 or 1)
    nn_leapy    =       0   !  Leap year calendar (1) or not (0)
    ln_rstart   = .false.   !  start from rest (F) or from a restart file (T)
-   nn_rstctl   =       0       !  restart control = 0 nn_it000 is not compared to the restart file value
-                               !                  = 1 use nn_date0 in namelist (not the value in the restart file)
-                               !                  = 2 calendar parameters read in the restart file
+   nn_rstctl   =       0   !  restart control => activated only if ln_rstart = T
+       !  = 0 nn_date0 read in namelist ; nn_it000 : read in namelist
+       !  = 1 nn_date0 read in namelist ; nn_it000 : check consistancy between namelist and restart
+       !  = 2 nn_date0 read in restart  ; nn_it000 : check consistancy between namelist and restart
    cn_ocerst_in  = "restart"   !  suffix of ocean restart name (input)
    cn_ocerst_out = "restart"   !  suffix of ocean restart name (output)
Index: vendor/nemo/current/NEMOGCM/ARCH/CNRS/arch-ALTIX_JADE.fcm
===================================================================
--- vendor/nemo/current/NEMOGCM/ARCH/CNRS/arch-ALTIX_JADE.fcm	(revision 19)
+++ vendor/nemo/current/NEMOGCM/ARCH/CNRS/arch-ALTIX_JADE.fcm	(revision 19)
@@ -0,0 +1,29 @@
+# ifort compiler options for CINES SGI-ALTIX Jade, http://www.cines.fr/spip.php?rubrique291
+# NCDF_INC    netcdf include file
+# NCDF_LIB    netcdf library
+# FC          Fortran compiler command
+# FCFLAGS     Fortran compiler flags
+# FFLAGS      Fortran 77 compiler flags
+# LD          linker
+# LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries in a
+# FPPFLAGS    pre-processing flags
+# AR          assembler
+# ARFLAGS     assembler flags
+# MK          make
+# USER_INC    additional include files for the compiler,  e.g. -I<include dir>
+# USER_LIB    additional libraries to pass to the linker, e.g. -l<library>
+
+
+%NCDF_INC            -I/opt/software/SGI/netcdf/4.1.3/include
+%NCDF_LIB            -L/opt/software/SGI/netcdf/4.1.3/lib -lnetcdf -lnetcdff 
+%FC                  ifort -lmpi
+%FCFLAGS             -r8 -O3 -xSSE4.2 -automatic -static 
+%FFLAGS              %FCFLAGS   
+%LD                  %FC
+%FPPFLAGS            -P -C -traditional
+%LDFLAGS
+%AR                  ar 
+%ARFLAGS             -ruv
+%MK                  gmake
+%USER_INC            %NCDF_INC
+%USER_LIB            %NCDF_LIB
Index: vendor/nemo/current/NEMOGCM/ARCH/CNRS/arch-X64_CURIE.fcm
===================================================================
--- vendor/nemo/current/NEMOGCM/ARCH/CNRS/arch-X64_CURIE.fcm	(revision 19)
+++ vendor/nemo/current/NEMOGCM/ARCH/CNRS/arch-X64_CURIE.fcm	(revision 19)
@@ -0,0 +1,31 @@
+# Curie BULL at french TGCC, http://www-hpc.cea.fr/en/complexe/tgcc-curie.htm
+# NCDF_INC    netcdf include file
+# NCDF_LIB    netcdf library
+# FC          Fortran compiler command
+# FCFLAGS     Fortran compiler flags
+# FFLAGS      Fortran 77 compiler flags
+# LD          linker
+# LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries in a
+# FPPFLAGS    pre-processing flags
+# AR          assembler
+# ARFLAGS     assembler flags
+# MK          make
+# USER_INC    additional include files for the compiler,  e.g. -I<include dir>
+# USER_LIB    additional libraries to pass to the linker, e.g. -l<library>
+
+%NCDF_INC            -I$(NETCDF_INC_DIR)
+%NCDF_LIB            -L$(NETCDF_LIB_DIR) -lnetcdff -lnetcdf
+%FC                  mpif90 -c -cpp
+# for Curie Fat Node
+%FCFLAGS             -i4 -r8 -fast -xSSE4.2 -automatic
+# for Curie Thin Node
+#%FCFLAGS             -i4 -r8 -fast -xAVX   -automatic
+%FFLAGS              %FCFLAGS
+%LD                  mpif90
+%LDFLAGS
+%FPPFLAGS            -P -C -traditional
+%AR                  ar
+%ARFLAGS             rs
+%MK                  gmake
+%USER_INC            %NCDF_INC
+%USER_LIB            %NCDF_LIB
Index: vendor/nemo/current/NEMOGCM/ARCH/CNRS/arch-macport_osx.fcm
===================================================================
--- vendor/nemo/current/NEMOGCM/ARCH/CNRS/arch-macport_osx.fcm	(revision 19)
+++ vendor/nemo/current/NEMOGCM/ARCH/CNRS/arch-macport_osx.fcm	(revision 19)
@@ -0,0 +1,36 @@
+# generic gfortran compiler options for OSX installed with macport
+#
+# port packages needed:
+#    sudo port install netcdf +gcc45 +openmpi
+#    sudo port install p5-uri
+# add to your PATH /opt/local/lib/openmpi/bin
+#
+# NCDF_INC    netcdf include file
+# NCDF_LIB    netcdf library
+# FC          Fortran compiler command
+# FCFLAGS     Fortran compiler flags
+# FFLAGS      Fortran 77 compiler flags
+# LD          linker
+# LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries in a
+# FPPFLAGS    pre-processing flags
+# AR          assembler
+# ARFLAGS     assembler flags
+# MK          make
+# USER_INC    additional include files for the compiler,  e.g. -I<include dir>
+# USER_LIB    additional libraries to pass to the linker, e.g. -l<library>
+
+
+%NCDF_INC            -I/opt/local/include
+%NCDF_LIB            -L/opt/local/lib -lnetcdf -lnetcdff
+%FC	             mpif90 
+%FCFLAGS             -fdefault-real-8 -O3 -funroll-all-loops -fcray-pointer 
+%FFLAGS              %FCFLAGS
+%LD                  %FC
+%LDFLAGS
+%FPPFLAGS            -P -C -traditional
+%AR                  libtool
+%ARFLAGS             -c -s -o
+%MK                  make
+%USER_INC            %NCDF_INC
+%USER_LIB            %NCDF_LIB
+
Index: vendor/nemo/current/NEMOGCM/CONFIG/AMM12/EXP00/namelist
===================================================================
--- vendor/nemo/current/NEMOGCM/CONFIG/AMM12/EXP00/namelist	(revision 4)
+++ vendor/nemo/current/NEMOGCM/CONFIG/AMM12/EXP00/namelist	(revision 19)
@@ -24,14 +24,15 @@
 &namrun        !   parameters of the run
 !-----------------------------------------------------------------------
-   nn_no       =       0   !  job number
+   nn_no       =       0   !  job number (no more used...)
    cn_exp      =  "AMM12"  !  experience name 
    nn_it000    =       1   !  first time step
    nn_itend    =     576   !  last  time step (std 1 day = 576)
-   nn_date0    =  20070101 !  initial calendar date yymmdd (used if nn_rstctl=1)
+   nn_date0    =  20070101 !  date at nit_0000 (format yyyymmdd) used if ln_rstart=F or (ln_rstart=T and nn_rstctl=0 or 1)
    nn_leapy    =       1   !  Leap year calendar (1) or not (0)
    ln_rstart   =  .false.  !  start from rest (F) or from a restart file (T)
-   nn_rstctl   =       0       !  restart control = 0 nn_it000 is not compared to the restart file value
-                               !                  = 1 use nn_date0 in namelist (not the value in the restart file)
-                               !                  = 2 calendar parameters read in the restart file
+   nn_rstctl   =       0   !  restart control => activated only if ln_rstart = T
+                           !    = 0 nn_date0 read in namelist ; nn_it000 : read in namelist
+                           !    = 1 nn_date0 read in namelist ; nn_it000 : check consistancy between namelist and restart
+                           !    = 2 nn_date0 read in restart  ; nn_it000 : check consistancy between namelist and restart
    cn_ocerst_in  = "restart"   !  suffix of ocean restart name (input)
    cn_ocerst_out = "restart"   !  suffix of ocean restart name (output)
Index: vendor/nemo/current/NEMOGCM/CONFIG/AMM12_PISCES/EXP00/namelist
===================================================================
--- vendor/nemo/current/NEMOGCM/CONFIG/AMM12_PISCES/EXP00/namelist	(revision 4)
+++ vendor/nemo/current/NEMOGCM/CONFIG/AMM12_PISCES/EXP00/namelist	(revision 19)
@@ -24,14 +24,15 @@
 &namrun        !   parameters of the run
 !-----------------------------------------------------------------------
-   nn_no       =       0   !  job number
+   nn_no       =       0   !  job number (no more used...)
    cn_exp      =  "AMM12"  !  experience name 
    nn_it000    =       1   !  first time step
    nn_itend    =     576   !  last  time step (std 1 day = 576)
-   nn_date0    =  20070101 !  initial calendar date yymmdd (used if nn_rstctl=1)
+   nn_date0    =  20070101 !  date at nit_0000 (format yyyymmdd) used if ln_rstart=F or (ln_rstart=T and nn_rstctl=0 or 1)
    nn_leapy    =       1   !  Leap year calendar (1) or not (0)
    ln_rstart   =  .false.  !  start from rest (F) or from a restart file (T)
-   nn_rstctl   =       0       !  restart control = 0 nn_it000 is not compared to the restart file value
-                               !                  = 1 use nn_date0 in namelist (not the value in the restart file)
-                               !                  = 2 calendar parameters read in the restart file
+   nn_rstctl   =       0   !  restart control => activated only if ln_rstart = T
+                           !    = 0 nn_date0 read in namelist ; nn_it000 : read in namelist
+                           !    = 1 nn_date0 read in namelist ; nn_it000 : check consistancy between namelist and restart
+                           !    = 2 nn_date0 read in restart  ; nn_it000 : check consistancy between namelist and restart
    cn_ocerst_in  = "restart"   !  suffix of ocean restart name (input)
    cn_ocerst_out = "restart"   !  suffix of ocean restart name (output)
Index: vendor/nemo/current/NEMOGCM/CONFIG/GYRE/EXP00/namelist
===================================================================
--- vendor/nemo/current/NEMOGCM/CONFIG/GYRE/EXP00/namelist	(revision 4)
+++ vendor/nemo/current/NEMOGCM/CONFIG/GYRE/EXP00/namelist	(revision 19)
@@ -24,14 +24,15 @@
 &namrun        !   parameters of the run
 !-----------------------------------------------------------------------
-   nn_no       =       0   !  job number
+   nn_no       =       0   !  job number (no more used...)
    cn_exp      =  "GYRE"   !  experience name 
    nn_it000    =       1   !  first time step
    nn_itend    =    4320   !  last  time step
-   nn_date0    =  010101   !  initial calendar date yymmdd (used if nn_rstctl=1)
+   nn_date0    =  010101   !  date at nit_0000 (format yyyymmdd) used if ln_rstart=F or (ln_rstart=T and nn_rstctl=0 or 1)
    nn_leapy    =      30   !  Leap year calendar (1) or not (0)
    ln_rstart   = .false.   !  start from rest (F) or from a restart file (T)
-   nn_rstctl   =       0       !  restart control = 0 nn_it000 is not compared to the restart file value
-                               !                  = 1 use nn_date0 in namelist (not the value in the restart file)
-                               !                  = 2 calendar parameters read in the restart file
+   nn_rstctl   =       0   !  restart control => activated only if ln_rstart = T
+                           !    = 0 nn_date0 read in namelist ; nn_it000 : read in namelist
+                           !    = 1 nn_date0 read in namelist ; nn_it000 : check consistancy between namelist and restart
+                           !    = 2 nn_date0 read in restart  ; nn_it000 : check consistancy between namelist and restart
    cn_ocerst_in  = "restart"   !  suffix of ocean restart name (input)
    cn_ocerst_out = "restart"   !  suffix of ocean restart name (output)
Index: vendor/nemo/current/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/1_namelist
===================================================================
--- vendor/nemo/current/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/1_namelist	(revision 4)
+++ vendor/nemo/current/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/1_namelist	(revision 19)
@@ -24,14 +24,15 @@
 &namrun        !   parameters of the run
 !-----------------------------------------------------------------------
-   nn_no       =       0   !  job number
+   nn_no       =       0   !  job number (no more used...)
    cn_exp      = "Agulhas" !  experience name 
    nn_it000    =       1   !  first time step
    nn_itend    =   10950   !  last  time step
-   nn_date0    =  010101   !  initial calendar date yymmdd (used if nn_rstctl=1)
+   nn_date0    =  010101   !  date at nit_0000 (format yyyymmdd) used if ln_rstart=F or (ln_rstart=T and nn_rstctl=0 or 1)
    nn_leapy    =       0   !  Leap year calendar (1) or not (0)
    ln_rstart   = .false.   !  start from rest (F) or from a restart file (T)
-   nn_rstctl   =       0       !  restart control = 0 nn_it000 is not compared to the restart file value
-                               !                  = 1 use nn_date0 in namelist (not the value in the restart file)
-                               !                  = 2 calendar parameters read in the restart file
+   nn_rstctl   =       0   !  restart control => activated only if ln_rstart = T
+                           !    = 0 nn_date0 read in namelist ; nn_it000 : read in namelist
+                           !    = 1 nn_date0 read in namelist ; nn_it000 : check consistancy between namelist and restart
+                           !    = 2 nn_date0 read in restart  ; nn_it000 : check consistancy between namelist and restart
    cn_ocerst_in  = "restart"   !  suffix of ocean restart name (input)
    cn_ocerst_out = "restart"   !  suffix of ocean restart name (output)
Index: vendor/nemo/current/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/namelist
===================================================================
--- vendor/nemo/current/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/namelist	(revision 4)
+++ vendor/nemo/current/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/namelist	(revision 19)
@@ -24,14 +24,15 @@
 &namrun        !   parameters of the run
 !-----------------------------------------------------------------------
-   nn_no       =       0   !  job number
+   nn_no       =       0   !  job number (no more used...)
    cn_exp      =  "ORCA2"  !  experience name 
    nn_it000    =       1   !  first time step
    nn_itend    =    5475   !  last  time step (std 5475)
-   nn_date0    =  010101   !  initial calendar date yymmdd (used if nn_rstctl=1)
+   nn_date0    =  010101   !  date at nit_0000 (format yyyymmdd) used if ln_rstart=F or (ln_rstart=T and nn_rstctl=0 or 1)
    nn_leapy    =       0   !  Leap year calendar (1) or not (0)
    ln_rstart   = .false.   !  start from rest (F) or from a restart file (T)
-   nn_rstctl   =       0       !  restart control = 0 nn_it000 is not compared to the restart file value
-                               !                  = 1 use nn_date0 in namelist (not the value in the restart file)
-                               !                  = 2 calendar parameters read in the restart file
+   nn_rstctl   =       0   !  restart control => activated only if ln_rstart = T
+                           !    = 0 nn_date0 read in namelist ; nn_it000 : read in namelist
+                           !    = 1 nn_date0 read in namelist ; nn_it000 : check consistancy between namelist and restart
+                           !    = 2 nn_date0 read in restart  ; nn_it000 : check consistancy between namelist and restart
    cn_ocerst_in  = "restart"   !  suffix of ocean restart name (input)
    cn_ocerst_out = "restart"   !  suffix of ocean restart name (output)
Index: vendor/nemo/current/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist
===================================================================
--- vendor/nemo/current/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist	(revision 4)
+++ vendor/nemo/current/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist	(revision 19)
@@ -24,14 +24,15 @@
 &namrun        !   parameters of the run
 !-----------------------------------------------------------------------
-   nn_no       =       0   !  job number
+   nn_no       =       0   !  job number (no more used...)
    cn_exp      =  "PISCES"  !  experience name 
    nn_it000    =       1   !  first time step
    nn_itend    =    1460   !  last  time step (std 5475)
-   nn_date0    =  010101   !  initial calendar date yymmdd (used if nn_rstctl=1)
+   nn_date0    =  010101   !  date at nit_0000 (format yyyymmdd) used if ln_rstart=F or (ln_rstart=T and nn_rstctl=0 or 1)
    nn_leapy    =       0   !  Leap year calendar (1) or not (0)
    ln_rstart   = .false.   !  start from rest (F) or from a restart file (T)
-   nn_rstctl   =       0       !  restart control = 0 nn_it000 is not compared to the restart file value
-                               !                  = 1 use nn_date0 in namelist (not the value in the restart file)
-                               !                  = 2 calendar parameters read in the restart file
+   nn_rstctl   =       0   !  restart control => activated only if ln_rstart = T
+                           !    = 0 nn_date0 read in namelist ; nn_it000 : read in namelist
+                           !    = 1 nn_date0 read in namelist ; nn_it000 : check consistancy between namelist and restart
+                           !    = 2 nn_date0 read in restart  ; nn_it000 : check consistancy between namelist and restart
    cn_ocerst_in  = "restart"   !  suffix of ocean restart name (input)
    cn_ocerst_out = "restart"   !  suffix of ocean restart name (output)
Index: vendor/nemo/current/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_qck.F90
===================================================================
--- vendor/nemo/current/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_qck.F90	(revision 4)
+++ vendor/nemo/current/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_qck.F90	(revision 19)
@@ -42,5 +42,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 3.3 , NEMO Consortium (2010)
-   !! $Id: traadv_qck.F90 3300 2012-02-08 09:54:42Z cbricaud $
+   !! $Id: traadv_qck.F90 3301 2012-02-08 16:56:27Z cbricaud $
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
@@ -177,5 +177,5 @@
                DO ji = fs_2, fs_jpim1   ! vector opt.   
                   zdir = 0.5 + SIGN( 0.5, pun(ji,jj,jk) )   ! if pun > 0 : zdir = 1 otherwise zdir = 0 
-                  zdx  = zdir * e1t(ji,jj) + ( 1. - zdir ) * e1t(ji+1,jj)
+                  zdx = ( zdir * e1t(ji,jj) + ( 1. - zdir ) * e1t(ji+1,jj) ) * e2u(ji,jj) * fse3u(ji,jj,jk)
                   zwx(ji,jj,jk)  = ABS( pun(ji,jj,jk) ) * zdt / zdx    ! (0<zc_cfl<1 : Courant number on x-direction)
                   zfc(ji,jj,jk)  = zdir * ptb(ji  ,jj,jk,jn) + ( 1. - zdir ) * ptb(ji+1,jj,jk,jn)  ! FC in the x-direction for T
@@ -302,5 +302,5 @@
                DO ji = fs_2, fs_jpim1   ! vector opt.   
                   zdir = 0.5 + SIGN( 0.5, pvn(ji,jj,jk) )   ! if pun > 0 : zdir = 1 otherwise zdir = 0 
-                  zdx  = zdir * e2t(ji,jj) + ( 1. - zdir ) * e2t(ji,jj+1)
+                  zdx = ( zdir * e2t(ji,jj) + ( 1. - zdir ) * e2t(ji,jj+1) ) * e1v(ji,jj) * fse3v(ji,jj,jk)
                   zwy(ji,jj,jk)  = ABS( pvn(ji,jj,jk) ) * zdt / zdx    ! (0<zc_cfl<1 : Courant number on x-direction)
                   zfc(ji,jj,jk)  = zdir * ptb(ji,jj  ,jk,jn) + ( 1. - zdir ) * ptb(ji,jj+1,jk,jn)  ! FC in the x-direction for T