Index: /trunk/NEMOGCM/NEMO/OPA_SRC/par_BB12.h90
===================================================================
--- /trunk/NEMOGCM/NEMO/OPA_SRC/par_BB12.h90	(revision 31)
+++ /trunk/NEMOGCM/NEMO/OPA_SRC/par_BB12.h90	(revision 32)
@@ -1,107 +1,87 @@
- !!---------------------------------------------------------------------
-  !!                     ***  par_BB12.h90  ***  
-  !!   Ocean Domain : 0.12 degrees resolution bay of bengal
-  !!                  (BB12 configuration)
-  !!---------------------------------------------------------------------
-  !!----------------------------------------------------------------------
-  !!  OPA 9.0 , LOCEAN-IPSL (2005) 
-  !! $Id$
-  !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
-  !!----------------------------------------------------------------------
-  CHARACTER (len=16)      &
+   !!---------------------------------------------------------------------
+   !!                     ***  par_BB12.h90  ***
+   !!   Ocean Domain : 1/12 degrees resolution bay of bengal
+   !!                  (BB12 configuration)
+   !!---------------------------------------------------------------------
+   !!----------------------------------------------------------------------
+   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
+   !! $Id$
+   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
+   !!----------------------------------------------------------------------
+
+   !!  Values set to pp_not_used indicates that this parameter is not used in THIS config.
+   !!  Values set to pp_to_be_computed  indicates that variables will be computed in domzgr
+   REAL,PARAMETER      ::  pp_not_used = 999999_wp , &
+      &                    pp_to_be_computed = 0._wp
+
+   !!---------------------------------------------------------------------
+   !!   Vertical Domain
+   !!---------------------------------------------------------------------
+# include "par_depth.h90"
+
+   !!---------------------------------------------------------------------
+   !!   Horizontal Domain
+   !!---------------------------------------------------------------------
+   CHARACTER (len=16)      &
 #if !defined key_agrif
-     , PARAMETER  &
+      , PARAMETER  &
 #endif
-     ::    &  
-     cp_cfg = "bengal"           !: name of the configuration
-  INTEGER     &
+      ::    &  
+      cp_cfg = "bengal"         !: name of the configuration
+   INTEGER     &
 #if !defined key_agrif
-     , PARAMETER  &
+      , PARAMETER  &
 #endif
-     :: &
-     jp_cfg = 12  ,        &  !: resolution of the configuration (degrees)
-     ! Original data size
-     jpidta  = 281,        &  !: first horizontal dimension > or = to jpi
-     jpjdta  = 256,        &  !: second                     > or = to jpj
-     jpkdta  = 50 ,         &  !: number of levels           > or = to jpk
-     ! total domain matrix size
-     jpiglo  = jpidta,      &  !: first  dimension of global domain --> i
-     jpjglo  = jpjdta,      &  !: second dimension of global domain --> j
-     ! starting position of the zoom
-     jpizoom =   1   ,      &  !: left bottom (i,j) indices of the zoom
-     jpjzoom =   1   ,      &  !: in data indices
-     ! Domain characteristics
-     jperio  =    0  ,      &  !: lateral cond. type (between 0 and 6)
-     jpisl   =  150  ,      &  !: number of islands
-     jpnisl  = 3000            !: maximum number of points per island
+      :: &
+      jp_cfg = 12  ,        &  !: resolution of the configuration (degrees)
+      !
+      jpidta    = 281,  &
+      jpjdta    = 256  
 
-  !!  Values set to pp_not_used indicates that this parameter is not used in THIS config.
-  !!  Values set to pp_to_be_computed  indicates that variables will be computed in domzgr
-  REAL,PARAMETER      ::  pp_not_used = 999999_wp , &
-     &                    pp_to_be_computed = 0._wp
-  !!
-  !! Coefficients associated with the horizontal coordinate system (jphgr_msh /= 0 )
-  !!
-  INTEGER, PARAMETER ::     & !
-     jphgr_msh = 0            !: type of horizontal mesh
-     !                        !  = 0 curvilinear coordinate on the sphere
-     !                        !      read in coordinate.nc file
-     !                        !  = 1 geographical mesh on the sphere
-     !                        !      with regular grid-spacing
-     !                        !  = 2 f-plane with regular grid-spacing
-     !                        !  = 3 beta-plane with regular grid-spacing
-     !                        !  = 4 Mercator grid with T/U point at the equator  with
-     !                        !      isotropic resolution (e1_deg)
+   INTEGER     &
+#if !defined key_agrif
+      , PARAMETER  &
+#endif
+      :: &
+      ! total domain matrix size
+      jpiglo  = jpidta,      &  !: first  dimension of global domain --> i
+      jpjglo  = jpjdta,      &  !: second dimension of global domain --> j
+      ! starting position of the zoom
+      jpizoom =   1   ,      &  !: left bottom (i,j) indices of the zoom
+      jpjzoom =   1   ,      &  !: in data indices
+      ! Domain characteristics
+      jperio  =  0       !: lateral cond. type (between 0 and 6)
+      !                  !  = 0 closed                 ;   = 1 cyclic East-West
+      !                  !  = 2 equatorial symmetric   ;   = 3 North fold T-point pivot
+      !                  !  = 4 cyclic East-West AND North fold T-point pivot
+      !                  !  = 5 North fold F-point pivot
+      !                  !  = 6 cyclic East-West AND North fold F-point pivot
 
-     !   ppglam0 , ppgphi0: coordinates of the lower leftmost T point of the grid.
-     !   The mercator grid starts only approximately at gphi0 because
-     !   of the constraint that the equator be a T point.
-  REAL(wp), PARAMETER ::       &  !
-     ppglam0  = pp_not_used,   &  !: longitude of first raw and column T-point (jphgr_msh = 1)
-     ppgphi0  = pp_not_used,   &  !: latitude  of first raw and column T-point (jphgr_msh = 1)
-     !                            !  latitude for the Coriolis or Beta parameter (jphgr_msh = 2 or 3)
-     ppe1_deg = pp_not_used,   &  !: zonal      grid-spacing (degrees)
-     ppe2_deg = pp_not_used,   &  !: meridional grid-spacing (degrees)
-     !
-     ppe1_m   = pp_not_used,   &  !: zonal      grid-spacing (meters )
-     ppe2_m   = pp_not_used       !: meridional grid-spacing (meters )
+   !!
+   !! Coefficients associated with the horizontal coordinate system (jphgr_msh /= 0 )
+   !!
+   INTEGER, PARAMETER ::     & !
+      jphgr_msh = 0            !: type of horizontal mesh
+      !                        !  = 0 curvilinear coordinate on the sphere
+      !                        !      read in coordinate.nc file
+      !                        !  = 1 geographical mesh on the sphere
+      !                        !      with regular grid-spacing
+      !                        !  = 2 f-plane with regular grid-spacing
+      !                        !  = 3 beta-plane with regular grid-spacing
+      !                        !  = 4 Mercator grid with T/U point at the equator  with
+      !                        !      isotropic resolution (e1_deg)
 
-  !!  Coefficients associated with the vertical coordinate system
-  REAL(wp), PARAMETER  ::       &
-#ifdef key_zrefsurf
-     &     ppsur = -8494.48_wp    ,  &   !: vertical grid Mercator
-     &     ppa0  =   257.609_wp    ,  &  !: (default coefficients refine in surface)
-     &     ppa1  =   256.819_wp    ,  &  !:
-     &     ppkth =    40_wp    ,  &  !: (non dimensional): gives the approximate
-     !                                           !: layer number above which  stretching will
-     !                                           !: be maximum. Usually of order jpk/2.
-     &     ppacr =     10.00000000000_wp , &     !: (non dimensional): stretching factor
-     !                                           !: for the grid. The highest zacr, the smallest
-     !                                           !: the stretching.
-     &     ppa2  =   100.760928500000_wp ,  &  ! IDC, 26/6/09
-     &     ppacr2 =   13.000000000000_wp ,  &  ! IDC, 26/6/09
-     &     ppkth2 =   48.029893720000_wp       ! IDC, 26/6/09
-#else
-     &     ppsur = pp_to_be_computed ,  &  !: Computed in domzgr, set ppdzmin and pphmax below
-     &     ppa0  = pp_to_be_computed ,  &  !:    "           "
-     &     ppa1  = pp_to_be_computed ,  &  !:    "           "
-     !
-     &     ppkth =  23.563_wp        ,  &  !: (non dimensional): gives the approximate
-     !                                     !: layer number above which  stretching will
-     !                                     !: be maximum. Usually of order jpk/2.
-     &     ppacr =    7.0000000000000_wp ,  &  !: (non dimensional): stretching factor
-     !                                         !: for the grid. The highest zacr, the smallest
-     !                                         !: the stretching.
-     &     ppa2  =   100.760928500000_wp ,  &  ! IDC, 26/6/09
-     &     ppacr2 =   13.000000000000_wp ,  &  ! IDC, 26/6/09
-     &     ppkth2 =   48.029893720000_wp       ! IDC, 26/6/09
-#endif
-  !!
-  !!  If both ppa0 ppa1 and ppsur are specified to 0, then
-  !!  they are computed from ppdzmin, pphmax , ppkth, ppacr in dom_zgr
-  !!
-  REAL(wp), PARAMETER ::        &
-     &     ppdzmin = 6._wp           ,  &  !: (meters) vertical thickness of the top layer
-     &     pphmax  = 5750._wp              !: (meters) Maximum depth of the ocean gdepw(jpk)
-   LOGICAL , PUBLIC, PARAMETER ::   ldbletanh = .false.   !: Use/do not use double tanf function for vertical coordinates
-  !!---------------------------------------------------------------------
+      !   ppglam0 , ppgphi0: coordinates of the lower leftmost T point of the grid.
+      !   The mercator grid starts only approximately at gphi0 because
+      !   of the constraint that the equator be a T point.
+   REAL(wp), PARAMETER ::       &  !
+      ppglam0  = pp_not_used,   &  !: longitude of first raw and column T-point (jphgr_msh = 1)
+      ppgphi0  = pp_not_used,   &  !: latitude  of first raw and column T-point (jphgr_msh = 1)
+      !                            !  latitude for the Coriolis or Beta parameter (jphgr_msh = 2 or 3)
+      ppe1_deg = pp_not_used,   &  !: zonal      grid-spacing (degrees)
+      ppe2_deg = pp_not_used,   &  !: meridional grid-spacing (degrees)
+      !
+      ppe1_m   = pp_not_used,   &  !: zonal      grid-spacing (meters )
+      ppe2_m   = pp_not_used       !: meridional grid-spacing (meters )
+
+   !!---------------------------------------------------------------------
Index: /trunk/NEMOGCM/NEMO/OPA_SRC/par_PERU12.h90
===================================================================
--- /trunk/NEMOGCM/NEMO/OPA_SRC/par_PERU12.h90	(revision 31)
+++ /trunk/NEMOGCM/NEMO/OPA_SRC/par_PERU12.h90	(revision 32)
@@ -1,108 +1,87 @@
- !!---------------------------------------------------------------------
-  !!                     ***  par_BB12.h90  ***  
-  !!   Ocean Domain : 0.12 degrees resolution bay of bengal
-  !!                  (BB12 configuration)
-  !!---------------------------------------------------------------------
-  !!----------------------------------------------------------------------
-  !!  OPA 9.0 , LOCEAN-IPSL (2005) 
-  !! $Id:$
-  !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
-  !!----------------------------------------------------------------------
-  CHARACTER (len=16)      &
+   !!---------------------------------------------------------------------
+   !!                     ***  par_peru12.h90  ***
+   !!   Ocean Domain : 1/12 degrees resolution Peru/Chile Configuration
+   !!                  (PERU12 configuration)
+   !!---------------------------------------------------------------------
+   !!----------------------------------------------------------------------
+   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
+   !! $Id: par_ORCA_R2.h90 2715 2011-03-30 15:58:35Z rblod $
+   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
+   !!----------------------------------------------------------------------
+
+   !!  Values set to pp_not_used indicates that this parameter is not used in THIS config.
+   !!  Values set to pp_to_be_computed  indicates that variables will be computed in domzgr
+   REAL,PARAMETER      ::  pp_not_used = 999999_wp , &
+      &                    pp_to_be_computed = 0._wp
+
+   !!---------------------------------------------------------------------
+   !!   Vertical Domain
+   !!---------------------------------------------------------------------
+# include "par_depth.h90"
+
+   !!---------------------------------------------------------------------
+   !!   Horizontal Domain
+   !!---------------------------------------------------------------------
+   CHARACTER (len=16)      &
 #if !defined key_agrif
-     , PARAMETER  &
+      , PARAMETER  &
 #endif
-     ::    &  
-     cp_cfg = "peru"           !: name of the configuration
-  INTEGER     &
+      ::    &  
+      cp_cfg = "peru"         !: name of the configuration
+   INTEGER     &
 #if !defined key_agrif
-     , PARAMETER  &
+      , PARAMETER  &
 #endif
-     :: &
-     jp_cfg = 12  ,        &  !: resolution of the configuration (degrees)
-     ! Original data size
-     jpidta  = 361,        &  !: first horizontal dimension > or = to jpi
-     jpjdta  = 505,        &  !: second                     > or = to jpj
-     jpkdta  = 46 ,         &  !: number of levels           > or = to jpk
-     ! total domain matrix size
-     jpiglo  = jpidta,      &  !: first  dimension of global domain --> i
-     jpjglo  = jpjdta,      &  !: second dimension of global domain --> j
-     jpk     = jpkdta,      &  !: number of vertical levels
-     ! starting position of the zoom
-     jpizoom =   1   ,      &  !: left bottom (i,j) indices of the zoom
-     jpjzoom =   1   ,      &  !: in data indices
-     ! Domain characteristics
-     jperio  =    0  ,      &  !: lateral cond. type (between 0 and 6)
-     jpisl   =  150  ,      &  !: number of islands
-     jpnisl  = 3000            !: maximum number of points per island
+      :: &
+      jp_cfg = 12  ,        &  !: resolution of the configuration (degrees)
+      !
+      jpidta    = 361,  &
+      jpjdta    = 505  
 
-  !!  Values set to pp_not_used indicates that this parameter is not used in THIS config.
-  !!  Values set to pp_to_be_computed  indicates that variables will be computed in domzgr
-  REAL,PARAMETER      ::  pp_not_used = 999999_wp , &
-     &                    pp_to_be_computed = 0._wp
-  !!
-  !! Coefficients associated with the horizontal coordinate system (jphgr_msh /= 0 )
-  !!
-  INTEGER, PARAMETER ::     & !
-     jphgr_msh = 0            !: type of horizontal mesh
-     !                        !  = 0 curvilinear coordinate on the sphere
-     !                        !      read in coordinate.nc file
-     !                        !  = 1 geographical mesh on the sphere
-     !                        !      with regular grid-spacing
-     !                        !  = 2 f-plane with regular grid-spacing
-     !                        !  = 3 beta-plane with regular grid-spacing
-     !                        !  = 4 Mercator grid with T/U point at the equator  with
-     !                        !      isotropic resolution (e1_deg)
+   INTEGER     &
+#if !defined key_agrif
+      , PARAMETER  &
+#endif
+      :: &
+      ! total domain matrix size
+      jpiglo  = jpidta,      &  !: first  dimension of global domain --> i
+      jpjglo  = jpjdta,      &  !: second dimension of global domain --> j
+      ! starting position of the zoom
+      jpizoom =   1   ,      &  !: left bottom (i,j) indices of the zoom
+      jpjzoom =   1   ,      &  !: in data indices
+      ! Domain characteristics
+      jperio  =  0       !: lateral cond. type (between 0 and 6)
+      !                  !  = 0 closed                 ;   = 1 cyclic East-West
+      !                  !  = 2 equatorial symmetric   ;   = 3 North fold T-point pivot
+      !                  !  = 4 cyclic East-West AND North fold T-point pivot
+      !                  !  = 5 North fold F-point pivot
+      !                  !  = 6 cyclic East-West AND North fold F-point pivot
 
-     !   ppglam0 , ppgphi0: coordinates of the lower leftmost T point of the grid.
-     !   The mercator grid starts only approximately at gphi0 because
-     !   of the constraint that the equator be a T point.
-  REAL(wp), PARAMETER ::       &  !
-     ppglam0  = pp_not_used,   &  !: longitude of first raw and column T-point (jphgr_msh = 1)
-     ppgphi0  = pp_not_used,   &  !: latitude  of first raw and column T-point (jphgr_msh = 1)
-     !                            !  latitude for the Coriolis or Beta parameter (jphgr_msh = 2 or 3)
-     ppe1_deg = pp_not_used,   &  !: zonal      grid-spacing (degrees)
-     ppe2_deg = pp_not_used,   &  !: meridional grid-spacing (degrees)
-     !
-     ppe1_m   = pp_not_used,   &  !: zonal      grid-spacing (meters )
-     ppe2_m   = pp_not_used       !: meridional grid-spacing (meters )
+   !!
+   !! Coefficients associated with the horizontal coordinate system (jphgr_msh /= 0 )
+   !!
+   INTEGER, PARAMETER ::     & !
+      jphgr_msh = 0            !: type of horizontal mesh
+      !                        !  = 0 curvilinear coordinate on the sphere
+      !                        !      read in coordinate.nc file
+      !                        !  = 1 geographical mesh on the sphere
+      !                        !      with regular grid-spacing
+      !                        !  = 2 f-plane with regular grid-spacing
+      !                        !  = 3 beta-plane with regular grid-spacing
+      !                        !  = 4 Mercator grid with T/U point at the equator  with
+      !                        !      isotropic resolution (e1_deg)
 
-  !!  Coefficients associated with the vertical coordinate system
-  REAL(wp), PARAMETER  ::       &
-#ifdef key_zrefsurf
-     &     ppsur = -8494.48_wp    ,  &   !: vertical grid Mercator
-     &     ppa0  =   257.609_wp    ,  &  !: (default coefficients refine in surface)
-     &     ppa1  =   256.819_wp    ,  &  !:
-     &     ppkth =    40_wp    ,  &  !: (non dimensional): gives the approximate
-     !                                           !: layer number above which  stretching will
-     !                                           !: be maximum. Usually of order jpk/2.
-     &     ppacr =     10.00000000000_wp , &     !: (non dimensional): stretching factor
-     !                                           !: for the grid. The highest zacr, the smallest
-     !                                           !: the stretching.
-     &     ppa2  =   100.760928500000_wp ,  &  ! IDC, 26/6/09
-     &     ppacr2 =   13.000000000000_wp ,  &  ! IDC, 26/6/09
-     &     ppkth2 =   48.029893720000_wp       ! IDC, 26/6/09
-#else
-     &     ppsur = pp_to_be_computed ,  &  !: Computed in domzgr, set ppdzmin and pphmax below
-     &     ppa0  = pp_to_be_computed ,  &  !:    "           "
-     &     ppa1  = pp_to_be_computed ,  &  !:    "           "
-     !
-     &     ppkth =  23.563_wp        ,  &  !: (non dimensional): gives the approximate
-     !                                     !: layer number above which  stretching will
-     !                                     !: be maximum. Usually of order jpk/2.
-     &     ppacr =    7.0000000000000_wp ,  &  !: (non dimensional): stretching factor
-     !                                         !: for the grid. The highest zacr, the smallest
-     !                                         !: the stretching.
-     &     ppa2  =   100.760928500000_wp ,  &  ! IDC, 26/6/09
-     &     ppacr2 =   13.000000000000_wp ,  &  ! IDC, 26/6/09
-     &     ppkth2 =   48.029893720000_wp       ! IDC, 26/6/09
-#endif
-  !!
-  !!  If both ppa0 ppa1 and ppsur are specified to 0, then
-  !!  they are computed from ppdzmin, pphmax , ppkth, ppacr in dom_zgr
-  !!
-  REAL(wp), PARAMETER ::        &
-     &     ppdzmin = 6._wp           ,  &  !: (meters) vertical thickness of the top layer
-     &     pphmax  = 5750._wp              !: (meters) Maximum depth of the ocean gdepw(jpk)
-   LOGICAL , PUBLIC, PARAMETER ::   ldbletanh = .false.   !: Use/do not use double tanf function for vertical coordinates
-  !!---------------------------------------------------------------------
+      !   ppglam0 , ppgphi0: coordinates of the lower leftmost T point of the grid.
+      !   The mercator grid starts only approximately at gphi0 because
+      !   of the constraint that the equator be a T point.
+   REAL(wp), PARAMETER ::       &  !
+      ppglam0  = pp_not_used,   &  !: longitude of first raw and column T-point (jphgr_msh = 1)
+      ppgphi0  = pp_not_used,   &  !: latitude  of first raw and column T-point (jphgr_msh = 1)
+      !                            !  latitude for the Coriolis or Beta parameter (jphgr_msh = 2 or 3)
+      ppe1_deg = pp_not_used,   &  !: zonal      grid-spacing (degrees)
+      ppe2_deg = pp_not_used,   &  !: meridional grid-spacing (degrees)
+      !
+      ppe1_m   = pp_not_used,   &  !: zonal      grid-spacing (meters )
+      ppe2_m   = pp_not_used       !: meridional grid-spacing (meters )
+
+   !!---------------------------------------------------------------------
Index: /trunk/NEMOGCM/NEMO/OPA_SRC/par_TROP12.h90
===================================================================
--- /trunk/NEMOGCM/NEMO/OPA_SRC/par_TROP12.h90	(revision 31)
+++ /trunk/NEMOGCM/NEMO/OPA_SRC/par_TROP12.h90	(revision 32)
@@ -1,12 +1,26 @@
    !!---------------------------------------------------------------------
-   !!                     ***  par_trop12.h90  ***  
-   !!   Ocean Domain : 0.25 degrees resolution Tropical Channel
-   !!                  (0RCA_R025 configuration)
+   !!                     ***  par_trop12.h90  ***
+   !!   Ocean Domain : 1/12 degrees resolution Tropical Channel
+   !!                  (TROP12 configuration)
    !!---------------------------------------------------------------------
    !!----------------------------------------------------------------------
    !! NEMO/OPA 3.3 , NEMO Consortium (2010)
-   !! $Id: par_ORCA_R2.h90 2715 2011-03-30 15:58:35Z rblod $ 
+   !! $Id: par_ORCA_R2.h90 2715 2011-03-30 15:58:35Z rblod $
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
+
+   !!  Values set to pp_not_used indicates that this parameter is not used in THIS config.
+   !!  Values set to pp_to_be_computed  indicates that variables will be computed in domzgr
+   REAL,PARAMETER      ::  pp_not_used = 999999_wp , &
+      &                    pp_to_be_computed = 0._wp
+
+   !!---------------------------------------------------------------------
+   !!   Vertical Domain
+   !!---------------------------------------------------------------------
+# include "par_depth.h90"
+
+   !!---------------------------------------------------------------------
+   !!   Horizontal Domain
+   !!---------------------------------------------------------------------
    CHARACTER (len=16)      &
 #if !defined key_agrif
@@ -23,10 +37,11 @@
       !
       jpidta    = 4322,  &
-      jpjdta    = 1249,  &  
-#if key_trop12==75
-      jpkdta  = 75 ,         &  !: number of levels           > or = to jpk
-#else
-      jpkdta  = 46 ,         &  !: number of levels           > or = to jpk
+      jpjdta    = 1249  
+
+   INTEGER     &
+#if !defined key_agrif
+      , PARAMETER  &
 #endif
+      :: &
       ! total domain matrix size
       jpiglo  = jpidta,      &  !: first  dimension of global domain --> i
@@ -36,10 +51,11 @@
       jpjzoom =   1   ,      &  !: in data indices
       ! Domain characteristics
-      jperio  =   1             !: lateral cond. type (between 0 and 6)
+      jperio  =  1       !: lateral cond. type (between 0 and 6)
+      !                  !  = 0 closed                 ;   = 1 cyclic East-West
+      !                  !  = 2 equatorial symmetric   ;   = 3 North fold T-point pivot
+      !                  !  = 4 cyclic East-West AND North fold T-point pivot
+      !                  !  = 5 North fold F-point pivot
+      !                  !  = 6 cyclic East-West AND North fold F-point pivot
 
-   !!  Values set to pp_not_used indicates that this parameter is not used in THIS config.
-   !!  Values set to pp_to_be_computed  indicates that variables will be computed in domzgr
-   REAL,PARAMETER      ::  pp_not_used = 999999_wp , &
-      &                    pp_to_be_computed = 0._wp
    !!
    !! Coefficients associated with the horizontal coordinate system (jphgr_msh /= 0 )
@@ -69,58 +85,3 @@
       ppe2_m   = pp_not_used       !: meridional grid-spacing (meters )
 
-   !!  Coefficients associated with the vertical coordinate system
-
-#if key_trop12==75
-   REAL(wp), PARAMETER  ::       &
-      &     ppsur =  -3958.951371276829_wp  ,  &  !: ORCA r1 coefficients
-      &     ppa0  =   103.9530096000000_wp  ,  &  !: (75 levels case)
-      &     ppa1  =   2.415951269000000_wp  ,  &  !:
-      &     ppkth =   15.35101370000000_wp  ,  &  !: (non dimensional): gives the approximate
-      !                                           !: layer number above which  stretching will
-      !                                           !: be maximum. Usually of order jpk/2.
-      &     ppacr =       7.00000000000_wp        !: (non dimensional): stretching factor
-      !                                           !: for the grid. The higher zacr, the smaller
-      !                                           !: the stretching.
-   !!
-   !!  If both ppa0 ppa1 and ppsur are specified to pp_to_be_computed, then
-   !!  they are computed from ppdzmin, pphmax , ppkth, ppacr in dom_zgr
-   !!
-   REAL(wp), PARAMETER ::                      &
-      &     ppdzmin = pp_not_used           ,  &  !: (meters) vertical thickness of the top layer
-      &     pphmax  = pp_not_used                 !: (meters) Maximum depth of the ocean gdepw(jpk)
-   !!
-   LOGICAL,  PARAMETER ::                      &
-      &     ldbletanh = .TRUE.                    !: Use/do not use double tanf function for vertical coordinates
-   REAL(wp), PARAMETER ::                      &
-      &     ppa2  =   100.7609285000000_wp  ,  &  !: Double tanh function parameters
-      &     ppkth2=   48.02989372000000_wp  ,  &  !:
-      &     ppacr2=    13.00000000000_wp          !:
-      !
-#else
-   REAL(wp), PARAMETER  ::       &
-      &     ppsur = pp_to_be_computed ,        &  !: Computed in domzgr, set ppdzmin and pphmax below
-      &     ppa0  = pp_to_be_computed ,        &  !:    "           "
-      &     ppa1  = pp_to_be_computed ,        &  !:    "           "
-      !
-      &     ppkth =  23.563_wp        ,        &  !: (non dimensional): gives the approximate
-      !                                           !: layer number above which  stretching will
-      !                                           !: be maximum. Usually of order jpk/2.
-      &     ppacr =   9.00000000000_wp            !: (non dimensional): stretching factor
-      !                                           !: for the grid. The highest zacr, the smallest
-      !                                           !: the stretching.
-   !!
-   !!  If both ppa0 ppa1 and ppsur are specified to pp_to_be_computed, then
-   !!  they are computed from ppdzmin, pphmax , ppkth, ppacr in dom_zgr
-   !!
-   REAL(wp), PARAMETER ::                      &
-      &     ppdzmin = 6._wp           ,        &  !: (meters) vertical thickness of the top layer
-      &     pphmax  = 5750._wp                    !: (meters) Maximum depth of the ocean gdepw(jpk)
-   !!
-   LOGICAL,  PARAMETER ::                      &
-      &     ldbletanh = .FALSE.                   !: Use/do not use double tanf function for vertical coordinates
-   REAL(wp), PARAMETER ::                      &
-      &     ppa2    = pp_not_used           ,  &  !: Double tanh function parameters
-      &     ppkth2  = pp_not_used           ,  &  !:
-      &     ppacr2  = pp_not_used                 !:
-#endif
    !!---------------------------------------------------------------------
Index: /trunk/NEMOGCM/NEMO/OPA_SRC/par_depth.h90
===================================================================
--- /trunk/NEMOGCM/NEMO/OPA_SRC/par_depth.h90	(revision 32)
+++ /trunk/NEMOGCM/NEMO/OPA_SRC/par_depth.h90	(revision 32)
@@ -0,0 +1,113 @@
+   !!----------------------------------------------------------------------
+   !!                     ***  par_depth.h90  ***
+   !!                    Vertical domain Parameter
+   !!----------------------------------------------------------------------
+   !!----------------------------------------------------------------------
+   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
+   !! $Id: par_ORCA_R2.h90 2715 2011-03-30 15:58:35Z rblod $ 
+   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
+   !!----------------------------------------------------------------------
+
+   INTEGER     &
+#if !defined key_agrif
+      , PARAMETER  &
+#endif
+      :: &
+#if key_depth==75
+      jpkdta  = 75              !: number of levels           > or = to jpk
+#elif key_depth==50
+      jpkdta  = 50              !: number of levels           > or = to jpk
+#elif key_depth==46
+      jpkdta  = 46              !: number of levels           > or = to jpk
+#else
+      par_depth.h90 :  You should not be there !!! Vertical Level not supported (key_depth)
+#endif
+
+   !!  Coefficients associated with the vertical coordinate system
+   !!---------------------------------------------------------------------
+#if key_depth==75
+   !!---------------------------------------------------------------------
+   REAL(wp), PARAMETER  ::       &
+      &     ppsur =  -3958.951371276829_wp  ,  &  !: ORCA r1 coefficients
+      &     ppa0  =   103.9530096000000_wp  ,  &  !: (75 levels case)
+      &     ppa1  =   2.415951269000000_wp  ,  &  !:
+      &     ppkth =   15.35101370000000_wp  ,  &  !: (non dimensional): gives the approximate
+      !                                           !: layer number above which  stretching will
+      !                                           !: be maximum. Usually of order jpk/2.
+      &     ppacr =       7.00000000000_wp        !: (non dimensional): stretching factor
+      !                                           !: for the grid. The higher zacr, the smaller
+      !                                           !: the stretching.
+   !!
+   !!  If both ppa0 ppa1 and ppsur are specified to pp_to_be_computed, then
+   !!  they are computed from ppdzmin, pphmax , ppkth, ppacr in dom_zgr
+   !!
+   REAL(wp), PARAMETER ::                      &
+      &     ppdzmin = pp_not_used           ,  &  !: (meters) vertical thickness of the top layer
+      &     pphmax  = pp_not_used                 !: (meters) Maximum depth of the ocean gdepw(jpk)
+   !!
+   LOGICAL,  PARAMETER ::                      &
+      &     ldbletanh = .TRUE.                    !: Use/do not use double tanf function for vertical coordinates
+   REAL(wp), PARAMETER ::                      &
+      &     ppa2  =   100.7609285000000_wp  ,  &  !: Double tanh function parameters
+      &     ppkth2=   48.02989372000000_wp  ,  &  !:
+      &     ppacr2=    13.00000000000_wp          !:
+
+   !!---------------------------------------------------------------------
+#elif key_depth==50
+   !!---------------------------------------------------------------------
+   REAL(wp), PARAMETER  ::       &
+      &     ppsur = -8494.48_wp ,   &  !: vertical grid Mercator
+      &     ppa0  =  257.609_wp ,   &  !: (default coefficients refine in surface)
+      &     ppa1  =  256.819_wp ,   &  !:
+      !
+      &     ppkth =    40_wp ,      &  !: (non dimensional): gives the approximate
+      !                                !: layer number above which  stretching will
+      !                                !: be maximum. Usually of order jpk/2.
+      &     ppacr =   10.00000000000_wp           !: (non dimensional): stretching factor
+      !                                           !: for the grid. The highest zacr, the smallest
+      !                                           !: the stretching.
+   !!
+   !!  If both ppa0 ppa1 and ppsur are specified to pp_to_be_computed, then
+   !!  they are computed from ppdzmin, pphmax , ppkth, ppacr in dom_zgr
+   !!
+   REAL(wp), PARAMETER ::                      &
+      &     ppdzmin = 6._wp           ,        &  !: (meters) vertical thickness of the top layer
+      &     pphmax  = 5750._wp                    !: (meters) Maximum depth of the ocean gdepw(jpk)
+   !!
+   LOGICAL,  PARAMETER ::                      &
+      &     ldbletanh = .FALSE.                   !: Use/do not use double tanf function for vertical coordinates
+   REAL(wp), PARAMETER ::                      &
+      &     ppa2  =   100.760928500000_wp ,  &  ! IDC, 26/6/09
+      &     ppacr2 =   13.000000000000_wp ,  &  ! IDC, 26/6/09
+      &     ppkth2 =   48.029893720000_wp       ! IDC, 26/6/09
+
+   !!---------------------------------------------------------------------
+#elif key_depth==46
+   !!---------------------------------------------------------------------
+   REAL(wp), PARAMETER  ::       &
+      &     ppsur = pp_to_be_computed ,        &  !: Computed in domzgr, set ppdzmin and pphmax below
+      &     ppa0  = pp_to_be_computed ,        &  !:    "           "
+      &     ppa1  = pp_to_be_computed ,        &  !:    "           "
+      !
+      &     ppkth =  23.563_wp        ,        &  !: (non dimensional): gives the approximate
+      !                                           !: layer number above which  stretching will
+      !                                           !: be maximum. Usually of order jpk/2.
+      &     ppacr =   9.00000000000_wp            !: (non dimensional): stretching factor
+      !                                           !: for the grid. The highest zacr, the smallest
+      !                                           !: the stretching.
+   !!
+   !!  If both ppa0 ppa1 and ppsur are specified to pp_to_be_computed, then
+   !!  they are computed from ppdzmin, pphmax , ppkth, ppacr in dom_zgr
+   !!
+   REAL(wp), PARAMETER ::                      &
+      &     ppdzmin = 6._wp           ,        &  !: (meters) vertical thickness of the top layer
+      &     pphmax  = 5750._wp                    !: (meters) Maximum depth of the ocean gdepw(jpk)
+   !!
+   LOGICAL,  PARAMETER ::                      &
+      &     ldbletanh = .FALSE.                   !: Use/do not use double tanf function for vertical coordinates
+   REAL(wp), PARAMETER ::                      &
+      &     ppa2    = pp_not_used           ,  &  !: Double tanh function parameters
+      &     ppkth2  = pp_not_used           ,  &  !:
+      &     ppacr2  = pp_not_used                 !:
+#endif
+   !!---------------------------------------------------------------------