Index: vendor/nemo/current/NEMOGCM/ARCH/CNRS/arch-ALTIX_JADE.fcm
===================================================================
--- vendor/nemo/current/NEMOGCM/ARCH/CNRS/arch-ALTIX_JADE.fcm	(revision 19)
+++ vendor/nemo/current/NEMOGCM/ARCH/CNRS/arch-ALTIX_JADE.fcm	(revision 44)
@@ -28,2 +28,14 @@
 %USER_INC            %NCDF_INC
 %USER_LIB            %NCDF_LIB
+
+# Flags only needed for IOSERVER
+%CC      icc
+%XIO_CFLAGS    -ansi -O3 -DNONE -DXIOS_LIBRARY -diag-disable 1125 -diag-disable 279 -D BOOST_DISABLE_ASSERTS -DMPI_NO_CPPBIND
+%XIO_FFLAGS    -O3 -DXIOS_LIBRARY
+%XIO_LD         ifort
+%XIO_LDFLAGS        -lstdc++ -lifcore -lintlc -lmpi    
+%XIO_INC       
+
+%XIO_CINC     -I/opt/software/SGI/hdf5/1.8.6/include  -I/opt/software/SGI/netcdf/4.1.3/include
+%XIO_FINC
+%XIO_LDINC     -L/opt/software/SGI/netcdf/4.1.3/lib -L/opt/software/SGI/hdf5/1.8.6/lib   -lnetcdff -lnetcdf -lhdf5_hl -lhdf5 -lhdf5 -lz 
Index: vendor/nemo/current/NEMOGCM/ARCH/CNRS/arch-PW6MONO_VARGAS.fcm
===================================================================
--- vendor/nemo/current/NEMOGCM/ARCH/CNRS/arch-PW6MONO_VARGAS.fcm	(revision 19)
+++ vendor/nemo/current/NEMOGCM/ARCH/CNRS/arch-PW6MONO_VARGAS.fcm	(revision 44)
@@ -18,6 +18,6 @@
 %NCDF_LIB            -L /usr/local/pub/NetCDF/3.6.2/lib -lnetcdf
 %FC                  xlf90_r
-%FCFLAGS             -qfree=f90 -O3 -qrealsize=8 -qextname -qsource -q64 -qlargepage -qmaxmem=-1 -qsource
-%FFLAGS              -qfixed -O3 -qrealsize=8 -qextname -qsource -q64 -qlargepage -qmaxmem=-1 -qsource
+%FCFLAGS             -qfree=f90 -O3 -qstrict -qrealsize=8 -qextname=flush -qsource -q64 -qlargepage -qmaxmem=-1 -qsource
+%FFLAGS              -qfixed -O3 -qstrict -qrealsize=8 -qextname=flush -qsource -q64 -qlargepage -qmaxmem=-1 -qsource
 %LD                  xlf90_r
 %LDFLAGS    
Index: vendor/nemo/current/NEMOGCM/ARCH/CNRS/arch-PW6_VARGAS.fcm
===================================================================
--- vendor/nemo/current/NEMOGCM/ARCH/CNRS/arch-PW6_VARGAS.fcm	(revision 19)
+++ vendor/nemo/current/NEMOGCM/ARCH/CNRS/arch-PW6_VARGAS.fcm	(revision 44)
@@ -18,6 +18,6 @@
 %NCDF_LIB            -L /usr/local/pub/NetCDF/3.6.2/lib -lnetcdf
 %FC                  mpxlf90_r
-%FCFLAGS             -qfree=f90 -O3 -qrealsize=8 -qextname -qsource -q64 -qlargepage -qmaxmem=-1 -qsource
-%FFLAGS              -qfixed -O3 -qrealsize=8 -qextname -qsource -q64 -qlargepage -qmaxmem=-1 -qsource
+%FCFLAGS             -qfree=f90 -O3 -qstrict -qrealsize=8 -qextname=flush -qsource -q64 -qlargepage -qmaxmem=-1 -qsource
+%FFLAGS              -qfixed -O3 -qstrict -qrealsize=8 -qextname=flush -qsource -q64 -qlargepage -qmaxmem=-1 -qsource
 %LD                  mpxlf90_r
 %LDFLAGS    
Index: vendor/nemo/current/NEMOGCM/ARCH/CNRS/arch-X64_CURIE.fcm
===================================================================
--- vendor/nemo/current/NEMOGCM/ARCH/CNRS/arch-X64_CURIE.fcm	(revision 19)
+++ vendor/nemo/current/NEMOGCM/ARCH/CNRS/arch-X64_CURIE.fcm	(revision 44)
@@ -1,3 +1,3 @@
-# Curie BULL at french TGCC, http://www-hpc.cea.fr/en/complexe/tgcc-curie.htm
+# ifort compiler options for CINES SGI-ALTIX Jade, http://www.cines.fr/spip.php?rubrique291
 # NCDF_INC    netcdf include file
 # NCDF_LIB    netcdf library
@@ -14,18 +14,29 @@
 # USER_LIB    additional libraries to pass to the linker, e.g. -l<library>
 
-%NCDF_INC            -I$(NETCDF_INC_DIR)
-%NCDF_LIB            -L$(NETCDF_LIB_DIR) -lnetcdff -lnetcdf
-%FC                  mpif90 -c -cpp
-# for Curie Fat Node
-%FCFLAGS             -i4 -r8 -fast -xSSE4.2 -automatic
-# for Curie Thin Node
-#%FCFLAGS             -i4 -r8 -fast -xAVX   -automatic
-%FFLAGS              %FCFLAGS
-%LD                  mpif90
+
+%NCDF_INC            -I/opt/software/SGI/netcdf/4.1.3/include
+%NCDF_LIB            -L/opt/software/SGI/netcdf/4.1.3/lib -lnetcdf -lnetcdff 
+%FC                  ifort -lmpi
+%FCFLAGS             -r8 -O3 -automatic -static 
+%FFLAGS              %FCFLAGS   
+%LD                  %FC
+%FPPFLAGS            -P -C -traditional
 %LDFLAGS
-%FPPFLAGS            -P -C -traditional
-%AR                  ar
-%ARFLAGS             rs
+%AR                  ar 
+%ARFLAGS             -ruv
 %MK                  gmake
 %USER_INC            %NCDF_INC
 %USER_LIB            %NCDF_LIB
+
+# Flags only needed for IOSERVER
+%CC      icc
+%XIO_CFLAGS    -ansi -O3 -DNONE -DXIOS_LIBRARY -diag-disable 1125 -diag-disable 279 -D BOOST_DISABLE_ASSERTS -DMPI_NO_CPPBIND
+%XIO_FFLAGS    -O3 -DXIOS_LIBRARY
+%XIO_LD         ifort
+%XIO_LDFLAGS        -lstdc++ -lifcore -lintlc -lmpi    
+%XIO_INC       
+
+%XIO_CINC     -I/opt/software/SGI/hdf5/1.8.6/include  -I/opt/software/SGI/netcdf/4.1.3/include
+%XIO_FINC
+%XIO_LDINC     -L/opt/software/SGI/netcdf/4.1.3/lib -L/opt/software/SGI/hdf5/1.8.6/lib   -lnetcdff -lnetcdf -lhdf5_hl -lhdf5 -lhdf5 -lz 
+